package br.com.centralit.api.dao;

import br.com.centralit.framework.dao.arquitetura.CitGenericDAO;

public interface MaterialConsumoTipoUnidadeMedidaEntradaDao extends CitGenericDAO {

	/**
	 * <p>
	 * <b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a>
	 * </p>
	 * 
	 * <p>
	 * <b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a>
	 * </p>
	 * 
	 * Método responsável por validar se a unidade medida que será excluída está vinculada em alguma entrada almoxarifada
	 * 
	 * @author rogerio.cassimiro
	 * 
	 * @param idUnidadeMedida
	 * @param idMaterialConsumo
	 * @return {@link Boolean}
	 */
	boolean validarUnidadeEmUsoEntradaAlmoxarifado(Long idUnidadeMedida, Long idMaterialConsumo);
}
