package br.com.centralit.api.framework.json;

import br.com.centralit.framework.json.Views;
import br.com.centralit.framework.json.Views.GenericView;

/**
 * <p>
 * <img src="http://centralit.com.br/images/logo_central.png">
 * </p>
 *
 * <p>
 * <b>Company: </b> Central IT - Governança Corporativa -
 * </p>
 *
 * <p>
 * <b>Title: Views do modulo de adminstracao de materiais</b>
 * </p>
 *
 * <p>
 * <b>Description: </b>
 * </p>
 *
 * <p>
 * <b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a>
 * </p>
 *
 * <p>
 * <b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a>
 * </p>
 *
 * @since 26/05/2015 - 16:15:58
 *
 * @version 1.0.0
 *
 * @author iago.almeida
 *
 */
public class ViewsAdmMateriais extends Views {

	public static class MaterialConsumoAutoCompleteView extends GenericView {};

	public static class MaterialTransferenciaView extends MaterialAutoCompleteView {};

	public static class EstruturaTransferenciaView extends EstruturaOrganizacionalAutoCompleteSimplesView {};

	public static class UnidadeMedidaListView extends GenericView {}

	public static class UnidadeMedidaEditView extends UnidadeMedidaListView {}

	public static class ConfiguracaoRessuprimentoListView extends GenericView {}

	public static class ConfiguracaoRessuprimentoEditView extends Views.ConfiguracaoRessuprimentoEditView {}

	// View que herda do core
	public static class MaterialConsumoAutoCompleteRequisicao extends Views.BemPatrimonialAutoCompleteSimplesView {};

	// ATENDIMENTOREQUISICAOCONSUMOITEM
	public static class AtendimentoRequisicaoConsumoItemView extends GenericView{};

	public static class EntradaAlmoxarifadoListView extends EntradaEditView{};

	public static class EntradaAlmoxarifadoEditView extends EntradaAlmoxarifadoListView{};

	 public static class LocalEstoqueAutoCompleteView extends EstruturaOrganizacionalAutoCompleteSimplesView{};

	 public static class CatalogoMaterialListView extends EstruturaOrganizacionalAutoCompleteView {};

	public static class CatalogoMaterialEditView extends CatalogoMaterialListView {};

	public static class CatalogoMaterialItemListView extends GenericView {}

	public static class CatalogoMaterialItemEditView extends CatalogoMaterialItemListView {}

	public static class RequisicaoConsumoListView extends EstruturaOrganizacionalAutoCompleteView {};

	public static class RequisicaoConsumoEditView extends RequisicaoConsumoListView {};
	
	public static class RequisicaoConsumo extends Views.RequisicaoConsumo{};

	public static class MaterialConsumoBaixaAutoCompleteView extends Views.GenericView{}

	// estou herdando da BaixaAlmoxarifadoView porque preciso anotar algumas classes do core, então tive que criar essa estrutura la
	//herdando de generic view para que eu pudesse anotar as classes necessarias
	public static class BaixaAlmoxarifadoListView extends Views.BaixaAlmoxarifadoView{};
	//public static class BaixaAlmoxarifadoListView extends Views.BaixaAlmoxarifadoView{}

	public static class BaixaAlmoxarifadoEditView extends BaixaAlmoxarifadoListView{};

	public static class DevolucaoEditView extends MaterialConsumoAutoCompleteRequisicao{};

	public static class TransferenciaContaContabilListView extends Views.GenericView{};

	public static class TransferenciaContaContabilEditView extends TransferenciaContaContabilListView{};
	
	public static class EnderecoEstoqueView extends GenericView{};
	
	public static class AutoCompleteEnderecoEstoqueView extends GenericView{};
	
	public static class TransferenciaEnderecoEstoqueView extends GenericView{};

}
