package br.com.centralit.api.model;

import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.ManyToOne;

/**
 * <p>
 * <img src="http://centralit.com.br/images/logo_central.png">
 * </p>
 * 
 * <p>
 * <b>Company: </b> Central IT - Governança Corporativa -
 * </p>
 * 
 * <p>
 * <b>Title: </b>
 * </p>
 * 
 * <p>
 * <b>Description: </b>
 * </p>
 * 
 * <p>
 * <b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a>
 * </p>
 * 
 * <p>
 * <b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a>
 * </p>
 * 
 * @since 05/12/2014 - 16:10:08
 * 
 * @version 1.0.0
 * 
 * @author ally.barra
 * 
 */
@Entity
public class BaixaObservacao extends Observacao {

	/** Atributo serialVersionUID. */
	private static final long serialVersionUID = -1599981961515756205L;

	/** Atributo baixa. */
	@ManyToOne(fetch = FetchType.LAZY, optional = false)
	private Baixa baixa;

	/**
	 * Retorna o valor do atributo <code>baixa</code>
	 * 
	 * @return <code>Baixa</code>
	 */
	public Baixa getBaixa() {

		return baixa;
	}

	/**
	 * Define o valor do atributo <code>baixa</code>.
	 * 
	 * @param baixa
	 */
	public void setBaixa(Baixa baixa) {

		this.baixa = baixa;
	}

}
