package br.com.centralit.api.model;

import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.ManyToOne;

/**
 * <p>
 * <img src="http://centralit.com.br/images/logo_central.png">
 * </p>
 * 
 * <p>
 * <b>Company: </b> Central IT - Governança Corporativa -
 * </p>
 * 
 * <p>
 * <b>Title: </b>
 * </p>
 * 
 * <p>
 * <b>Description: </b>
 * </p>
 * 
 * <p>
 * <b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a>
 * </p>
 * 
 * <p>
 * <b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a>
 * </p>
 * 
 * @since 05/12/2014 - 13:54:41
 * 
 * @version 1.0.0
 * 
 * @author ally.barra
 * 
 */
@Entity
public class EntradaObservacao extends Observacao {

	/** Atributo serialVersionUID. */
	private static final long serialVersionUID = 78579413846779181L;

	/** Atributo entrada. */
	@ManyToOne(fetch = FetchType.LAZY, optional = false)
	private Entrada entrada;

	/**
	 * Retorna o valor do atributo <code>entrada</code>
	 * 
	 * @return <code>Entrada</code>
	 */
	public Entrada getEntrada() {

		return entrada;
	}

	/**
	 * Define o valor do atributo <code>entrada</code>.
	 * 
	 * @param entrada
	 */
	public void setEntrada(Entrada entrada) {

		this.entrada = entrada;
	}

}
