package br.com.centralit.api.viewHelper;

import java.io.Serializable;
import java.util.List;

import br.com.centralit.framework.model.SearchParams;

/**
 * <p>
 * <img src="http://centralit.com.br/images/logo_central.png">
 * </p>
 * 
 * <p>
 * <b>Company: </b> Central IT - Governança Corporativa -
 * </p>
 * 
 * <p>
 * <b>Title: </b>
 * </p>
 * AtendimentoVH
 * 
 * <p>
 * <b>Description: </b>
 * </p>
 * 
 * <p>
 * <b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a>
 * </p>
 * 
 * <p>
 * <b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a>
 * </p>
 * 
 * @since 01/06/2015 - 19:12:16
 * 
 * @version 1.0.0
 * 
 * @author rogerio.cassimiro
 * 
 */
public class AtendimentoVH implements Serializable {

	/** Atributo serialVersionUID. */
	private static final long serialVersionUID = 2604907484835174816L;

	/** Atributo idOrganizacao. */
	private Long idOrganizacao;

	/** Atributo idRequisicao. */
	private Long idRequisicao;

	private List<Long> idsRequisicao;

	private List<Long> idsMaterais;

	private List<Long> idsUnidadesRequisitantes;

	private SearchParams searchParams;
	
	private boolean bloquearAtendimento;

	/**
	 * Retorna o valor do atributo <code>idOrganizacao</code>
	 * 
	 * @return <code>Long</code>
	 */
	public Long getIdOrganizacao() {

		return idOrganizacao;
	}

	/**
	 * Define o valor do atributo <code>idOrganizacao</code>.
	 * 
	 * @param idOrganizacao
	 */
	public void setIdOrganizacao(Long idOrganizacao) {

		this.idOrganizacao = idOrganizacao;
	}

	/**
	 * Retorna o valor do atributo <code>idRequisicao</code>
	 * 
	 * @return <code>Long</code>
	 */
	public Long getIdRequisicao() {

		return idRequisicao;
	}

	/**
	 * Define o valor do atributo <code>idRequisicao</code>.
	 * 
	 * @param idRequisicao
	 */
	public void setIdRequisicao(Long idRequisicao) {

		this.idRequisicao = idRequisicao;
	}

	public List<Long> getIdsRequisicao() {
		return idsRequisicao;
	}

	public void setIdsRequisicao(List<Long> idsRequisicao) {
		this.idsRequisicao = idsRequisicao;
	}

	public List<Long> getIdsMaterais() {
		return idsMaterais;
	}

	public void setIdsMaterais(List<Long> idsMaterais) {
		this.idsMaterais = idsMaterais;
	}

	public List<Long> getIdsUnidadesRequisitantes() {
		return idsUnidadesRequisitantes;
	}

	public void setIdsUnidadesRequisitantes(List<Long> idsUnidadesRequisitantes) {
		this.idsUnidadesRequisitantes = idsUnidadesRequisitantes;
	}

	public SearchParams getSearchParams() {
		return searchParams;
	}

	public void setSearchParams(SearchParams searchParams) {
		this.searchParams = searchParams;
	}

	public boolean isBloquearAtendimento() {
		return bloquearAtendimento;
	}

	public void setBloquearAtendimento(boolean bloquearAtendimento) {
		this.bloquearAtendimento = bloquearAtendimento;
	}
}
