package br.com.centralit.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;

import br.com.centralit.api.model.MaterialPermanenteConsumo;
import br.com.centralit.api.service.MaterialPermanenteConsumoService;
import br.com.centralit.framework.controller.GenericController;

/**
 * <p>
 * <img src="http://centralit.com.br/images/logo_central.png">
 * </p>
 * 
 * <p>
 * <b>Company: </b> Central IT - Governança Corporativa -
 * </p>
 * 
 * <p>
 * <b>Title: </b>MaterialConsumoController
 * </p>
 * 
 * <p>
 * <b>Description: </b>
 * </p>
 * 
 * <p>
 * <b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a>
 * </p>
 * 
 * <p>
 * <b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a>
 * </p>
 * 
 * @since 29/12/2014 - 09:47:40
 * 
 * @version 1.0.0
 * 
 * @author rogerio.costa
 * 
 */
@Controller
@RequestMapping("/rest/materialPermanenteConsumo")
public class MaterialPermanenteConsumoController extends GenericController<MaterialPermanenteConsumo> {

	/** Atributo materialPermanenteConsumoService. */
	private MaterialPermanenteConsumoService materialPermanenteConsumoService;

	/**
	 * Responsável pela criação de novas instâncias desta classe.
	 */
	public MaterialPermanenteConsumoController() {

		super();
	}

	/**
	 * Responsável pela criação de novas instâncias desta classe.
	 * 
	 * @param materialConsumoService
	 */
	@Autowired
	public MaterialPermanenteConsumoController( MaterialPermanenteConsumoService materialPermanenteConsumoService ) {

		super(materialPermanenteConsumoService);

		this.materialPermanenteConsumoService = materialPermanenteConsumoService;

	}

	/**
	 * Retorna o valor do atributo <code>materialPermanenteConsumoService</code>
	 * 
	 * @return <code>MaterialPermanenteConsumoService</code>
	 */
	public MaterialPermanenteConsumoService getMaterialPermanenteConsumoService() {

		return materialPermanenteConsumoService;
	}

}
