package br.com.centralit.controller;

import javax.servlet.http.HttpServletRequest;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;

import br.com.centralit.api.service.ContaContabilSaldoService;
import br.com.centralit.api.service.ModuloService;
import br.com.centralit.api.service.OrganizacaoService;

/**
 * <p>
 * <img src="http://centralit.com.br/images/logo_central.png">
 * </p>
 *
 * <p>
 * <b>Company: </b> Central IT - Governança Corporativa -
 * </p>
 *
 * <p>
 * <b>Title: EstruturaOrganizacionalController</b>
 * </p>
 *
 * <p>
 * <b>Description: Atende as requisições rest de estrutura organizacional</b>
 * </p>
 *
 * <p>
 * <b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a>
 * </p>
 *
 * <p>
 * <b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a>
 * </p>
 *
 * @since 10/12/2014 - 15:44:01
 *
 * @version 1.0.0
 *
 * @author renato.jesus
 *
 */
@Controller
@RequestMapping("/rest/organizacaoAdmMateriais")
public class OrganizacaoAdmMateriaisController {

	/** Atributo organizacaoService. */
	@Autowired
	private OrganizacaoService organizacaoService;

	/** Atributo contaContabilSaldoService. */
	@Autowired
	private ContaContabilSaldoService contaContabilSaldoService;

	/** Atributo moduloService. */
	@Autowired
	private ModuloService moduloService;

	/** Atributo request. */
	@Autowired
	private HttpServletRequest request;

}