'use strict';

citApp.factory('OrganizacaoAdmMateriaisRepository', ['RestangularAdmMateriais', 'AbstractRepository', function (restangularAdmMateriais, AbstractRepository) {

    function OrganizacaoAdmMateriaisRepository() {
    	AbstractRepository.call(this, restangularAdmMateriais, 'rest/organizacaoAdmMateriais');
    	
    	//Método para realizar o fechamento do mês de um orgão passando o tipo de depreciação a ser realizada
    	this.fecharMes = function(organizacaoId, tipoDepreciacaoId) {
    		var request = {
    				organizacao : organizacaoId,
    				tipoDepreciacao : tipoDepreciacaoId
    		};

    		return restangularAdmMateriais.all(this.route + '/fecharMes').post(request);
    	};
		
    }

    AbstractRepository.extend(OrganizacaoAdmMateriaisRepository);

    return new OrganizacaoAdmMateriaisRepository();
}]);
