'use strict';

citApp.factory('TransferenciaContaContabilRepository', ['RestangularAdmMateriais', 'AbstractRepository', function (restangularAdmMateriais, AbstractRepository) {

    function TransferenciaContaContabilRepository() {
    	AbstractRepository.call(this, restangularAdmMateriais, 'rest/transferenciaContaContabil');
    	
    	//Método para realizar uma transferencia entre contas contábeis
    	this.realizarTransferencia = function(transferencia) {
    		return restangularAdmMateriais.all(this.route + '/realizarTransferencia').post(transferencia);
    	};
    }

    AbstractRepository.extend(TransferenciaContaContabilRepository);

    return new TransferenciaContaContabilRepository();
}]);
