package br.com.centralit.api.dao;

import java.util.List;

import br.com.centralit.api.model.MaterialConsumo;
import br.com.centralit.framework.dao.arquitetura.CitGenericDAO;

/**
 * <p>
 * <img src="http://centralit.com.br/images/logo_central.png">
 * </p>
 *
 * <p>
 * <b>Company: </b> Central IT - Governança Corporativa -
 * </p>
 *
 * <p>
 * <b>Title: </b>
 * </p>
 *
 * <p>
 * <b>Description: </b>
 * </p>
 *
 * <p>
 * <b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a>
 * </p>
 *
 * <p>
 * <b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a>
 * </p>
 *
 * @since 25/05/2015 - 10:13:55
 *
 * @version 1.0.0
 *
 * @author rogerio.costa
 *
 */
public interface MaterialConsumoDao extends CitGenericDAO {

	/**
	 * <p><b>Iniciativa(s):</b> <a href="LINK_PORTAL">593</a></p>
	 *
	 * <p><b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a></p>
	 *
	 * Método responsável por buscar os materiais de consumo de uma organizacao
	 *
	 * @author juliana.barbosa
	 *
	 * @param descricao
	 * @param idOrganizacao
	 * @return
	 */
	List<MaterialConsumo> findMateriaisConsumoByOrganizacao(String descricao, Long idOrganizacao);

}
