package br.com.centralit.api.model;

import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.ManyToOne;

import org.hibernate.envers.Audited;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

/**
 * <p>
 * <img src="http://centralit.com.br/images/logo_central.png">
 * </p>
 *
 * <p>
 * <b>Company: </b> Central IT - Governança Corporativa -
 * </p>
 *
 * <p>
 * <b>Title: </b>
 * </p>
 *
 * <p>
 * <b>Description: </b>
 * </p>
 *
 * <p>
 * <b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a>
 * </p>
 *
 * <p>
 * <b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a>
 * </p>
 *
 * @since 05/12/2014 - 16:07:44
 *
 * @version 1.0.0
 *
 * @author ally.barra
 *
 */
@Audited
@Entity
@JsonIgnoreProperties({ "uploadsDocumento", "$uuid", "$checked", "$index" })
public class BaixaDocumento extends Documento {

	/** Atributo serialVersionUID. */
	private static final long serialVersionUID = -6919364271193656928L;

	/** Atributo baixa. */
	@ManyToOne(fetch = FetchType.LAZY, optional = true)
	private Baixa baixa;

	@ManyToOne(fetch = FetchType.LAZY, optional = true)
	private Baixa baixaInativo;

	/**
	 * Retorna o valor do atributo <code>baixa</code>
	 *
	 * @return <code>Baixa</code>
	 */
	public Baixa getBaixa() {

		return baixa;
	}

	/**
	 * Define o valor do atributo <code>baixa</code>.
	 *
	 * @param baixa
	 */
	public void setBaixa(Baixa baixa) {

		this.baixa = baixa;
	}

	/**
	 * Retorna o valor do atributo <code>baixaInativo</code>
	 *
	 * @return <code>Baixa</code>
	 */
	public Baixa getBaixaInativo() {

		return baixaInativo;
	}

	/**
	 * Define o valor do atributo <code>baixaInativo</code>.
	 *
	 * @param baixaInativo
	 */
	public void setBaixaInativo(Baixa baixaInativo) {

		this.baixaInativo = baixaInativo;
	}

}
