package br.com.centralit.api.model;



/**
 * <p><img src="http://centralit.com.br/images/logo_central.png"></p>
 *
 * <p><b>Company: </b> Central IT - Governança Corporativa - </p>
 *
 * <p><b>Title: Dominio de Administração de Material </b></p>
 *
 * <p><b>Description: Dominios especificos da aplicação de administração de material </b></p>
 * 
 * <p><b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a></p>
 *
 * <p><b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a></p>	
 * 	
 * @since 22/05/2015 - 16:25:33
 *
 * @version 1.0.0
 *
 * @author geovane.filho
 *	
 */
public class DominioMaterial {
	
	/** Atributo CLASSE_REFERENCIA. */
	public static final String CLASSE_REFERENCIA = "classeReferencia";

	/** Atributo REFERENCIA_ENTRADA. */
	public static final Long REFERENCIA_ENTRADA = 1L;
	
	/** Atributo REFERENCIA_ENTRADA_NOME. */
	public static final String REFERENCIA_ENTRADA_NOME = "ENTRADA";

	/** Atributo REFERENCIA_BAIXA. */
	public static final Long REFERENCIA_BAIXA = 2L;
	
	/** Atributo REFERENCIA_BAIXA_NOME. */
	public static final String REFERENCIA_BAIXA_NOME = "BAIXA";

	/** Atributo REFERENCIA_TRANSFERENCIA_INTERNA. */
	public static final Long REFERENCIA_TRANSFERENCIA_INTERNA = 3L;
	
	/** Atributo REFERENCIA_TRANSFERENCIA_INTERNA_NOME. */
	public static final String REFERENCIA_TRANSFERENCIA_INTERNA_NOME = "TRANSFERENCIA_INTERNA";

	/** Atributo REFERENCIA_TRANSFERENCIA_ENTRE_CONTAS. */
	public static final Long REFERENCIA_TRANSFERENCIA_ENTRE_CONTAS = 4L;
	
	/** Atributo REFERENCIA_TRANSFERENCIA_ENTRE_CONTAS_NOME. */
	public static final String REFERENCIA_TRANSFERENCIA_ENTRE_CONTAS_NOME = "TRANSFERENCIA_ENTRE_CONTAS";

	/** Atributo REFERENCIA_ATENDIMENTO. */
	public static final Long REFERENCIA_ATENDIMENTO = 5L;
	
	/** Atributo REFERENCIA_ATENDIMENTO_NOME. */
	public static final String REFERENCIA_ATENDIMENTO_NOME = "ATENDIMENTO";
	
	/** Atributo REFERENCIA_DEVOLUCAO. */
	public static final Long REFERENCIA_DEVOLUCAO_ITEM = 6L;
	
	/** Atributo REFERENCIA_DEVOLUCAO_NOME. */
	public static final String REFERENCIA_DEVOLUCAO_ITEM_NOME = "DEVOLUCAO_ITEM";
	
	/** Atributo REFERENCIA_DEPRECIACAO. */
	public static final Long REFERENCIA_DEPRECIACAO = 7l;
	
	/** Atributo REFERENCIA_DEPRECIACAO_NOME. */
	public static final String REFERENCIA_DEPRECIACAO_NOME = "DEPRECIACAO";
	
	public static final Long REFERENCIA_ALTERACAO_BEM = 8l;
	
	/** Atributo REFERENCIA_ALTERACAO_BEM_NOME. */
	public static final String REFERENCIA_ALTERACAO_BEM_NOME = "ALTERACAO_BEM_PATRIMONIAL";
	
	/** Atributo REFERENCIA_SAIDA_TEMPORARIA. */
	public static final Long REFERENCIA_SAIDA_TEMPORARIA = 9l;
	
	/** Atributo REFERENCIA_SAIDA_TEMPORARIA_NOME. */
	public static final String REFERENCIA_SAIDA_TEMPORARIA_NOME = "SAIDA_TEMPORARIA";
	
	/** Atributo REFERENCIA_DEFINICAO_DETENTOR. */
	public static final Long REFERENCIA_DEFINICAO_DETENTOR = 10l;
	
	/** Atributo REFERENCIA_DEFINICAO_DETENTOR_NOME. */
	public static final String REFERENCIA_DEFINICAO_DETENTOR_NOME = "DEFINICAO_DETENTOR";
	
	/** Atributo REFERENCIA_ADICAO_BEM_PRINCIPAL. */
	public static final Long REFERENCIA_ADICAO_BEM_PRINCIPAL = 11l;
	
	/** Atributo REFERENCIA_ADICAO_BEM_PRINCIPAL_NOME. */
	public static final String REFERENCIA_ADICAO_BEM_PRINCIPAL_NOME = "ADICAO_BEM_PRINCIPAL";
	
	/** Atributo REFERENCIA_ENTRADA_ALMOXARIFADO_ITEM_NOME. */
	public static final String REFERENCIA_ENTRADA_ALMOXARIFADO_ITEM_NOME = "ENTRADA_ALMOXARIFADO_ITEM";	
	
	/** Atributo REFERENCIA_ENTRADA_ALMOXARIFADO_ITEM. */
	public static final Long REFERENCIA_ENTRADA_ALMOXARIFADO_ITEM = 12l;
	
	/** Atributo REFERENCIA_BAIXA_ALMOXARIFADO_ITEM_NOME. */
	public static final String REFERENCIA_BAIXA_ALMOXARIFADO_ITEM_NOME = "BAIXA_ALMOXARIFADO_ITEM";	
	
	/** Atributo REFERENCIA_BAIXA_ALMOXARIFADO_ITEM. */
	public static final Long REFERENCIA_BAIXA_ALMOXARIFADO_ITEM = 13l;
	
	/** Atributo REFERENCIA_BAIXA_ALMOXARIFADO_ITEM_NOME. */
	public static final String REFERENCIA_ATENDIMENTO_ALMOXARIFADO_ITEM_NOME = "ATENDIMENTO_ALMOXARIFADO_ITEM";	
	
	/** Atributo REFERENCIA_BAIXA_ALMOXARIFADO_ITEM. */
	public static final Long REFERENCIA_ATENDIMENTO_ALMOXARIFADO_ITEM = 14l;
	
	/** Atributo REFERENCIA_ENTRADA_ALMOXARIFADO_NOME. */
	public static final String REFERENCIA_ENTRADA_ALMOXARIFADO_NOME = "ENTRADA_ALMOXARIFADO";	
	
	/** Atributo REFERENCIA_ENTRADA_ALMOXARIFADO. */
	public static final Long REFERENCIA_ENTRADA_ALMOXARIFADO = 15l;			
	
	/** Atributo PERIODO_RELATORIO. */
	public static final String PERIODO_RELATORIO = "periodoRelatorio";
	
	/** Atributo PERIODO_MENSAL_CODIGO. */
	public static final Long PERIODO_MENSAL_CODIGO = 1L;
	
	/** Atributo PERIODO_MENSAL_NOME. */
	public static final String PERIODO_MENSAL_NOME = "PERIODO_MENSAL";
	
	/** Atributo PERIODO_ANUAL_CODIGO. */
	public static final Long PERIODO_ANUAL_CODIGO = 2L;
	
	/** Atributo PERIODO_ANUAL_NOME. */
	public static final String PERIODO_ANUAL_NOME = "PERIODO_ANUAL";
	
	
	/** Atributo CAMPO_REFERENCIA. */
	public static final String CAMPO_REFERENCIA = "campoReferencia";
	
	/** Atributo CAMPO_REFERENCIA_BEM_PATRIMONIAL_VIDA_UTIL_RESTANTE_CODIGO. */
	public static final Long CAMPO_REFERENCIA_BEM_PATRIMONIAL_VIDA_UTIL_RESTANTE_CODIGO = 1L;
	
	/** Atributo CAMPO_REFERENCIA_VIDA_UTIL_RESTANTE_NOME. */
	public static final String CAMPO_REFERENCIA_BEM_PATRIMONIAL_VIDA_UTIL_RESTANTE_NOME = "BEM_PAT_VIDA_UTIL_RESTANTE";
	
	/** Atributo CAMPO_REFERENCIA_BEM_PATRIMONIAL_VALOR_BRUTO_ATUAL_CODIGO. */
	public static final Long CAMPO_REFERENCIA_BEM_PATRIMONIAL_VALOR_BRUTO_ATUAL_CODIGO = 2L;
	
	/** Atributo CAMPO_REFERENCIA_BEM_PATRIMONIAL_VALOR_BRUTO_ATUAL_NOME. */
	public static final String CAMPO_REFERENCIA_BEM_PATRIMONIAL_VALOR_BRUTO_ATUAL_NOME = "BEM_PAT_VALOR_BRUTO_ATUAL";
	
	/** Atributo CAMPO_REFERENCIA_BEM_PATRIMONIAL_NUMERO_PATRIMONIAL_CODIGO. */
	public static final Long CAMPO_REFERENCIA_BEM_PATRIMONIAL_NUMERO_PATRIMONIAL_CODIGO = 3L;
	
	/** Atributo CAMPO_REFERENCIA_BEM_PATRIMONIAL_NUMERO_PATRIMONIAL_NOME. */
	public static final String CAMPO_REFERENCIA_BEM_PATRIMONIAL_NUMERO_PATRIMONIAL_NOME = "BEM_PAT_NUMERO_PATRIMONIAL";
	
	/** Atributo CAMPO_REFERENCIA_BEM_PATRIMONIAL_STATUS_BEM_CODIGO. */
	public static final Long CAMPO_REFERENCIA_BEM_PATRIMONIAL_STATUS_BEM_CODIGO = 4L;
	
	/** Atributo CAMPO_REFERENCIA_BEM_PATRIMONIAL_STATUS_BEM_NOME. */
	public static final String CAMPO_REFERENCIA_BEM_PATRIMONIAL_STATUS_BEM_NOME = "BEM_PAT_STATUS";
	
	/** Atributo CAMPO_REFERENCIA_BEM_PATRIMONIAL_SITUACAO_FISICA_CODIGO. */
	public static final Long CAMPO_REFERENCIA_BEM_PATRIMONIAL_SITUACAO_FISICA_CODIGO = 5L;
	
	/** Atributo CAMPO_REFERENCIA_BEM_PATRIMONIAL_SITUACAO_FISICA_NOME. */
	public static final String CAMPO_REFERENCIA_BEM_PATRIMONIAL_SITUACAO_FISICA_NOME = "BEM_PAT_SITUACAO_FISICA";
	
	/** Atributo CAMPO_REFERENCIA_BEM_PATRIMONIAL_DT_INICIO_GARANTIA_CODIGO. */
	public static final Long CAMPO_REFERENCIA_BEM_PATRIMONIAL_DT_INICIO_GARANTIA_CODIGO = 6L;
	
	/** Atributo CAMPO_REFERENCIA_BEM_PATRIMONIAL_DT_INICIO_GARANTIA_NOME. */
	public static final String CAMPO_REFERENCIA_BEM_PATRIMONIAL_DT_INICIO_GARANTIA_NOME = "BEM_PAT_DT_INICIO_GARANTIA";
	
	/** Atributo CAMPO_REFERENCIA_BEM_PATRIMONIAL_DT_FIM_GARANTIA_CODIGO. */
	public static final Long CAMPO_REFERENCIA_BEM_PATRIMONIAL_DT_FIM_GARANTIA_CODIGO = 7L;
	
	/** Atributo CAMPO_REFERENCIA_BEM_PATRIMONIAL_DT_FIM_GARANTIA_NOME. */
	public static final String CAMPO_REFERENCIA_BEM_PATRIMONIAL_DT_FIM_GARANTIA_NOME = "BEM_PAT_DT_FIM_GARANTIA";
	
	/** Atributo CAMPO_REFERENCIA_BEM_PATRIMONIAL_DT_FIM_GARANTIA_CODIGO. */
	public static final Long CAMPO_REFERENCIA_BEM_PATRIMONIAL_STATUS_DEPRECIACAO_CODIGO = 8L;
	
	/** Atributo CAMPO_REFERENCIA_BEM_PATRIMONIAL_DT_FIM_GARANTIA_NOME. */
	public static final String CAMPO_REFERENCIA_BEM_PATRIMONIAL_STATUS_DEPRECIACAO_NOME = "BEM_PAT_STATUS_DEPRECIACAO";
	
	/** Atributo CAMPO_REFERENCIA_BEM_PATRIMONIAL_CARACTERISTICA_CODIGO. */
	public static final Long CAMPO_REFERENCIA_BEM_PATRIMONIAL_CARACTERISTICA_CODIGO = 9L;
	
	/** Atributo CAMPO_REFERENCIA_BEM_PATRIMONIAL_CARACTERISTICA_NOME. */
	public static final String CAMPO_REFERENCIA_BEM_PATRIMONIAL_CARACTERISTICA_NOME = "BEM_PAT_CARACTERISTICA";
	
	/** Atributo CAMPO_REFERENCIA_BEM_PATRIMONIAL_CARACTERISTICA_DOCUMENTO_CODIGO. */
	public static final Long CAMPO_REFERENCIA_BEM_PATRIMONIAL_CARACTERISTICA_DOCUMENTO_CODIGO = 10L;
	
	/** Atributo CAMPO_REFERENCIA_BEM_PATRIMONIAL_CARACTERISTICA_DOCUMENTO_NOME. */
	public static final String CAMPO_REFERENCIA_BEM_PATRIMONIAL_CARACTERISTICA_DOCUMENTO_NOME = "BEM_PAT_CARACTERISTICA_DOCUMENTO";
	
	/** Atributo CAMPO_REFERENCIA_BEM_PATRIMONIAL_VALOR_LIQUIDO_CODIGO. */
	public static final Long CAMPO_REFERENCIA_BEM_PATRIMONIAL_VALOR_LIQUIDO_CODIGO = 11L;
	
	/** Atributo CAMPO_REFERENCIA_BEM_PATRIMONIAL_VALOR_LIQUIDO_NOME. */
	public static final String CAMPO_REFERENCIA_BEM_PATRIMONIAL_VALOR_LIQUIDO_NOME = "BEM_PAT_VALOR_LIQUIDO";
	
	/** Atributo CAMPO_REFERENCIA_BEM_PATRIMONIAL_TAXA_RESIDUAL_CODIGO. */
	public static final Long CAMPO_REFERENCIA_BEM_PATRIMONIAL_TAXA_RESIDUAL_CODIGO = 12L;
	
	/** Atributo CAMPO_REFERENCIA_BEM_PATRIMONIAL_TAXA_RESIDUAL_NOME. */
	public static final String CAMPO_REFERENCIA_BEM_PATRIMONIAL_TAXA_RESIDUAL_NOME = "BEM_PAT_TAXA_RESIDUAL";
	
	/** Atributo TIPO_DEP_REAVALIACAO_REDUCAO. */
	public static final String TIPO_DEP_REAVALIACAO_REDUCAO = "tipoDepReavaliacaoReducao";
	
	/** Atributo TIPO_DEP_REAV_RED_REINICIAR_DEPRECIACAO_NOME. */
	public static final String TIPO_DEP_REAV_RED_REINICIAR_DEPRECIACAO_NOME = "REINICIAR_DEPRECIACAO";
	
	/** Atributo TIPO_DEP_REAV_RED_REINICIAR_DEPRECIACAO_CODIGO. */
	public static final Long TIPO_DEP_REAV_RED_REINICIAR_DEPRECIACAO_CODIGO = 1L;
	
	/** Atributo TIPO_DEP_REAV_RED_ENTRADA_DEPRECIACAO_ACUMULADA_NOME. */
	public static final String TIPO_DEP_REAV_RED_ENTRADA_DEPRECIACAO_ACUMULADA_NOME = "ENTRADA_DEPRECIACAO_ACUMULADA";
	
	/** Atributo TIPO_DEP_REAV_RED_ENTRADA_DEPRECIACAO_ACUMULADA_CODIGO. */
	public static final Long TIPO_DEP_REAV_RED_ENTRADA_DEPRECIACAO_ACUMULADA_CODIGO = 2L;
	
	/** Atributo TIPO_MOV_REAVALIACAO_REDUCAO. */
	public static final String TIPO_MOV_REAVALIACAO_REDUCAO = "tipoMovReavaliacaoReducao";
	
	/** Atributo TIPO_MOV_REAV_RED_SAIDA_VALOR_ANTIGO_ENTRADA_VALOR_NOVO_NOME. */
	public static final String TIPO_MOV_REAV_RED_SAIDA_VALOR_ANTIGO_ENTRADA_VALOR_NOVO_NOME = "SAIDA_VALOR_ANTIGO_ENTRADA_VALOR_NOVO";
	
	/** Atributo TIPO_MOV_REAV_RED_SAIDA_VALOR_ANTIGO_ENTRADA_VALOR_NOVO_CODIGO. */
	public static final Long TIPO_MOV_REAV_RED_SAIDA_VALOR_ANTIGO_ENTRADA_VALOR_NOVO_CODIGO = 1L;
	
	/** Atributo TIPO_MOV_REAV_RED_ENTRADA_SAIDA_DIFERENCA_ENTRE_VALORES_NOME. */
	public static final String TIPO_MOV_REAV_RED_ENTRADA_SAIDA_DIFERENCA_ENTRE_VALORES_NOME = "ENTRADA_SAIDA_DIFERENCA_ENTRE_VALORES";
	
	/** Atributo TIPO_MOV_REAV_RED_ENTRADA_SAIDA_DIFERENCA_ENTRE_VALORES_CODIGO. */
	public static final Long TIPO_MOV_REAV_RED_ENTRADA_SAIDA_DIFERENCA_ENTRE_VALORES_CODIGO = 2L;
	
}
