package br.com.centralit.api.service;

import br.com.centralit.api.model.MaterialCaracteristica;
import br.com.centralit.framework.service.arquitetura.GenericService;

/**
 * <p>
 * <img src="http://centralit.com.br/images/logo_central.png">
 * </p>
 * 
 * <p>
 * <b>Company: </b> Central IT - Governança Corporativa -
 * </p>
 * 
 * <p>
 * <b>Title: </b>MaterialCaracteristicaService
 * </p>
 * 
 * <p>
 * <b>Description: </b>
 * </p>
 * 
 * <p>
 * <b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a>
 * </p>
 * 
 * <p>
 * <b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a>
 * </p>
 * 
 * @since 23/12/2014 - 15:53:08
 * 
 * @version 1.0.0
 * 
 * @author rogerio.costa
 * 
 */
public interface MaterialCaracteristicaService extends GenericService<MaterialCaracteristica, Long> {

	/**
	 * <p><b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a></p>
	 *
	 * <p><b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a></p>	
	 *
	 * Método responsável por validar se existem Material Caracteristica por caracteristica
	 *
	 * @author rogerio.cassimiro
	 *
	 * @param id
	 * @return
	 */
	Boolean existeMaterialCarateristicaPorCaracteristica(Long id);

}
