package br.com.centralit.api.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import br.com.centralit.api.dao.MaterialPermanenteConsumoDao;
import br.com.centralit.api.model.MaterialPermanenteConsumo;
import br.com.centralit.api.service.MaterialPermanenteConsumoService;
import br.com.centralit.framework.service.arquitetura.GenericServiceImpl;

/**
 * <p>
 * <img src="http://centralit.com.br/images/logo_central.png">
 * </p>
 * 
 * <p>
 * <b>Company: </b> Central IT - Governança Corporativa -
 * </p>
 * 
 * <p>
 * <b>Title: </b>
 * </p>
 * 
 * <p>
 * <b>Description: </b>
 * </p>
 * 
 * <p>
 * <b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a>
 * </p>
 * 
 * <p>
 * <b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a>
 * </p>
 * 
 * @since 29/12/2014 - 09:44:54
 * 
 * @version 1.0.0
 * 
 * @author rogerio.costa
 * 
 */
@Service("materialPermanenteConsumoService")
public class MaterialPermanenteConsumoServiceImpl extends GenericServiceImpl<MaterialPermanenteConsumo, Long> implements MaterialPermanenteConsumoService {

	/** Atributo materialConsumoDao. */
	private MaterialPermanenteConsumoDao materialPermanenteConsumoDao;

	/**
	 * Responsável pela criação de novas instâncias desta classe.
	 * 
	 * @param materialConsumoDao
	 */
	@Autowired
	public MaterialPermanenteConsumoServiceImpl( MaterialPermanenteConsumoDao materialPermanenteConsumoDao ) {

		this.dao = materialPermanenteConsumoDao;

		this.materialPermanenteConsumoDao = materialPermanenteConsumoDao;

	}

	/**
	 * Retorna o valor do atributo <code>materialPermanenteConsumoDao</code>
	 * 
	 * @return <code>MaterialPermanenteConsumoDao</code>
	 */
	public MaterialPermanenteConsumoDao getMaterialPermanenteConsumoDao() {

		return materialPermanenteConsumoDao;
	}

}
