package br.com.centralit.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;

import br.com.centralit.api.model.MaterialConsumoTipoUnidadeMedidaEntrada;
import br.com.centralit.api.service.MaterialConsumoTipoUnidadeMedidaEntradaService;
import br.com.centralit.framework.controller.GenericController;

/**
 * <p>
 * <img src="http://centralit.com.br/images/logo_central.png">
 * </p>
 * 
 * <p>
 * <b>Company: </b> Central IT - Governança Corporativa -
 * </p>
 * 
 * <p>
 * <b>Title: </b>
 * </p>
 * 
 * <p>
 * <b>Description: </b>
 * </p>
 * 
 * <p>
 * <b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a>
 * </p>
 * 
 * <p>
 * <b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a>
 * </p>
 * 
 * @since 27/05/2015 - 15:35:06
 * 
 * @version 1.0.0
 * 
 * @author rogerio.costa
 * 
 */
@Controller
@RequestMapping("/rest/materialConsumoTipoUnidadeMedidaEntrada")
public class MaterialConsumoTipoUnidadeMedidaEntradaController extends GenericController<MaterialConsumoTipoUnidadeMedidaEntrada> {

	/** Atributo materialConsumoTipoUnidadeMedidaService. */
	private MaterialConsumoTipoUnidadeMedidaEntradaService materialConsumoTipoUnidadeMedidaEntradaService;

	/**
	 * Responsável pela criação de novas instâncias desta classe.
	 * 
	 * @param materialConsumoTipoUnidadeMedidaService
	 */
	@Autowired
	private MaterialConsumoTipoUnidadeMedidaEntradaController( MaterialConsumoTipoUnidadeMedidaEntradaService materialConsumoTipoUnidadeMedidaEntradaService ) {

		super(materialConsumoTipoUnidadeMedidaEntradaService);

		this.materialConsumoTipoUnidadeMedidaEntradaService = materialConsumoTipoUnidadeMedidaEntradaService;

	}

	/**
	 * Retorna o valor do atributo <code>materialConsumoTipoUnidadeMedidaService</code>
	 * 
	 * @return <code>MaterialConsumoTipoUnidadeMedidaService</code>
	 */
	public MaterialConsumoTipoUnidadeMedidaEntradaService getMaterialConsumoTipoUnidadeMedidaEntradaService() {

		return materialConsumoTipoUnidadeMedidaEntradaService;
	}

}
