citApp.factory('MaterialConsumoRepository', ['RestangularAdmMateriais', 'AbstractRepository', function (restangularAdmMateriais, AbstractRepository) {

    function MaterialConsumoRepository() {

    	AbstractRepository.call(this, restangularAdmMateriais, 'rest/materialConsumo');

    	this.findMateriaisConsumoByOrganizacao = function (value, idOrganizacao) {
    		return restangularAdmMateriais.one(this.route).getList("findMateriaisConsumoByOrganizacao", {descricao : value, idOrganizacao : idOrganizacao}).then();
    	};

    	this.getValorAtualMaterial = function(idMaterial, idOrganizacao){
    		return 	restangularAdmMateriais.one(this.route + "/valorAtualMaterial").get({"materialId" : idMaterial, "idOrganizacao" : idOrganizacao}).then();
    	};

    	this.getQtdAtualMaterial = function(idMaterial, idOrganizacao){
    		return 	restangularAdmMateriais.one(this.route + "/quantidadeAtualMaterial").get({"materialId" : idMaterial, "idOrganizacao" : idOrganizacao}).then();
    	};

    	this.findMateriaisConsumoInfo = function (value, idOrganizacao) {
    		return restangularAdmMateriais.one(this.route).getList("findMateriaisConsumoInfo", {descricao : value, idOrganizacao : idOrganizacao}).then();
    	};
    }

    AbstractRepository.extend(MaterialConsumoRepository);

    return new MaterialConsumoRepository();
}]);
