
citApp.factory('MaterialRepository', ['RestangularAdmMateriais', 'AbstractRepository', function (restangularAdmMateriais, AbstractRepository) {

    function MaterialRepository() {

    	this.findMaterial = function(descricao) {
    		return restangularAdmMateriais.one('rest/material').getList("findMaterial", {"descricao": descricao}).then();
		};
		
		this.findMaterialPermanente = function(descricao) {
    		return restangularAdmMateriais.one('rest/material').getList("findMaterialPermanente", {"descricao": descricao}).then();
		};
		
    	this.findMaterialConsumo = function(descricao) {
    		return restangularAdmMateriais.one('rest/material').getList("findMaterialConsumo", {"descricao": descricao}).then();
		};
		
		this.findPorIdClassificacaoMaterial = function(idClassificacaoMaterial) {
			return restangularAdmMateriais.one('rest/material/findPorIdClassificacaoMaterial').get({"idClassificacaoMaterial": idClassificacaoMaterial}).then();
		};
		
		this.getMaterialTransferencia = function(id) {
			return restangularAdmMateriais.one('rest/material/getMaterialTransferencia').get({"id": id}).then();
		};
		
    	this.findMateriaisByOrganizacao = function (codigoOuDescricao, idOrganizacao) {
    		return restangularAdmMateriais.one(this.route).getList("findMateriaisByOrganizacao", {codigoOuDescricao : codigoOuDescricao, idOrganizacao : idOrganizacao}).then();
    	};


    	AbstractRepository.call(this, restangularAdmMateriais, 'rest/material');
    }

    AbstractRepository.extend(MaterialRepository);

    return new MaterialRepository();
}]);